import logging
from functools import wraps

from flask import request, json, Response

log = logging.getLogger('flask-backend')


def token_required(f):
    @wraps(f)
    def decorated_function(*args, **kwargs):
        token = request.args['token']
        with open("/barix/apps/icpgw/users_backup.json") as file:
            mydict = json.load(file)
            payload = None
            userValid = False
            statusCode = None
            for key in mydict:
                if mydict[key]["secret"] == token:
                    userValid = True
            if userValid:
                return f(*args, **kwargs)
            else:
                log.info("User with no permission: {}".format(token))
                return Response(status=401)


        # with open("/barix/apps/icpgw/users_backup.json") as file:
        #     mydict = json.load(file)
        #     payload = None
        #     statusCode = None
        #     for key in mydict:
        #         if mydict[key]["secret"] == token:
        #             name = mydict[key]["name"]
        # try:
        #     login_uci = getValueOfUci('httpd', 'webserver', 'password_set')
        # except Exception:
        #     return Response(status=500)
        # else:
        #     try:
        #         if login_uci == 'true':
        #             if 'sessionID' not in session:
        #                 return Response("Login required", status=401, headers={"Content-Type": "text/plain"})
        #             if session['sessionID'] != getSessionKey():
        #                 return Response("Login required", status=401, headers={"Content-Type": "text/plain"})
        #             else:
        #                 return f(*args, **kwargs)
        #         else:
        #             return f(*args, **kwargs)
        #     except Exception as e:
        #         log.error("Error while logging: {}".format(e))
        #         return Response(status=500)

    return decorated_function
